Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

updated couchdb source install for maverick

  • Loading branch information...
commit 4abe52eed84a8e2497a3ec383f0fefd2a23a534f 1 parent cd56af9
@jtimberman jtimberman authored
View
96 couchdb/metadata.json
@@ -1,55 +1,55 @@
{
- "name": "couchdb",
- "description": "Installs CouchDB package and starts service",
- "long_description": "Installs the CouchDB package if it is available from an package repository on\nthe node. If the package repository is not available, CouchDB needs to be \ninstalled via some other method, either a backported package, or compiled \ndirectly from source. CouchDB is available on Red Hat-based systems through\nthe EPEL Yum Repository.\n",
- "maintainer": "Opscode, Inc.",
- "maintainer_email": "cookbooks@opscode.com",
- "license": "Apache 2.0",
- "platforms": {
- "ubuntu": [
- ">= 8.10"
- ],
- "debian": [
- ">= 5.0"
- ],
- "openbsd": [
+ "name": "couchdb",
+ "description": "Installs CouchDB package and starts service",
+ "long_description": "Installs the CouchDB package if it is available from an package repository on\nthe node. If the package repository is not available, CouchDB needs to be \ninstalled via some other method, either a backported package, or compiled \ndirectly from source. CouchDB is available on Red Hat-based systems through\nthe EPEL Yum Repository.\n",
+ "maintainer": "Opscode, Inc.",
+ "maintainer_email": "cookbooks@opscode.com",
+ "license": "Apache 2.0",
+ "platforms": {
+ "ubuntu": [
+ ">= 8.10"
+ ],
+ "debian": [
+ ">= 5.0"
+ ],
+ "openbsd": [
- ],
- "freebsd": [
+ ],
+ "freebsd": [
- ],
- "rhel": [
+ ],
+ "rhel": [
- ],
- "centos": [
+ ],
+ "centos": [
- ],
- "fedora": [
+ ],
+ "fedora": [
- ]
- },
- "dependencies": {
- "erlang": [
+ ]
+ },
+ "dependencies": {
+ "erlang": [
- ]
- },
- "recommendations": {
- },
- "suggestions": {
- },
- "conflicting": {
- },
- "providing": {
- },
- "replacing": {
- },
- "attributes": {
- },
- "groupings": {
- },
- "recipes": {
- "couchdb": "Installs and configures CouchDB package",
- "couchdb::source": "Installs and configures CouchDB from source"
- },
- "version": "0.14.0"
- }
+ ]
+ },
+ "recommendations": {
+ },
+ "suggestions": {
+ },
+ "conflicting": {
+ },
+ "providing": {
+ },
+ "replacing": {
+ },
+ "attributes": {
+ },
+ "groupings": {
+ },
+ "recipes": {
+ "couchdb": "Installs and configures CouchDB package",
+ "couchdb::source": "Installs and configures CouchDB from source"
+ },
+ "version": "0.14.1"
+}
View
2  couchdb/metadata.rb
@@ -9,7 +9,7 @@
directly from source. CouchDB is available on Red Hat-based systems through
the EPEL Yum Repository.
EOH
-version "0.14.0"
+version "0.14.1"
depends "erlang"
recipe "couchdb", "Installs and configures CouchDB package"
recipe "couchdb::source", "Installs and configures CouchDB from source"
View
2  couchdb/recipes/source.rb
@@ -46,7 +46,7 @@
package pkg
end
- if node[:platform_version].to_f == 10.04
+ if node[:platform_version].to_f >= 10.04
compile_flags = "--with-js-lib=/usr/lib/xulrunner-devel-1.9.2.8/lib --with-js-include=/usr/lib/xulrunner-devel-1.9.2.8/include"
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.